| 

.NET C# Java Javascript Exception

1
Hallo zusammen,

ich stehe vor folgendem Problem.
Ich habe ein Projekt in dem ich die DevComponentsDotNetBarV2.dll in der Version 7.4.0.0 verwende. Im Zuge der Umstellung von Visual Studio 2008 auf 2010 habe ich die DotNetBar aktualisiert auf die Version 9.0.0.0. Alle im Projekt befindlichen Verweise ausgetauscht, Programm läuft im Debug einwandfrei, allerdings ... Wenn ich das Projekt über ClickOnce Veröffentliche und auf einem nicht EntwicklerPC installieren möchte kommt folgende Fehler Meldung: "...Die Anwendung erfordert, dass die Assembly DevComponents.DotNetBar Version 7.4.0.0 zuerst im globalen Assemblycache (GAC) installiert wird. ..."
Und ab hier tappe ich im Dunkeln. Denn unter den Projekt-Eigenschaften -> Veröffentlichen -> Anwendungsdateien habe ich nachgeschaut, es ist nur eine DotNetBar eingetragen, allerdings sind in der application.manifest beide DotNetBar Versionen eingetragen. Ich konnte das Problem umgehen in dem ich die .manifest mit dem Editor bearbeitet habe und anschließend mit M$ mageui.exe neu signiert habe aber das soll kein Dauerzustand sein. Für jede Hilfe oder Lösungsansatz wäre ich sehr dankbar.

Viele Grüße
Andreas
19.09.2011
Gast
11 2
TOP TECHNOLOGIES CONSULTING GmbH